<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.work.mapper.EmployeeInfoMapper">
    
    <select id="selectList" resultType="com.ruoyi.web.work.domain.EmployeeInfo">
        select * from tb_employee_info
        <where>  
            <if test="orgCode != null  and orgCode != ''"> and org_code = #{orgCode}</if>
            <if test="employeeId != null  and employeeId != ''"> and employee_id = #{employeeId}</if>
            <if test="employeeName != null  and employeeName != ''"> and employee_name like concat('%', #{employeeName}, '%')</if>
            <if test="py != null  and py != ''"> and py = #{py}</if>
            <if test="wb != null  and wb != ''"> and wb = #{wb}</if>
            <if test="inputCode != null  and inputCode != ''"> and input_code = #{inputCode}</if>
            <if test="idTypeCode != null "> and id_type_code = #{idTypeCode}</if>
            <if test="idNo != null  and idNo != ''"> and id_no = #{idNo}</if>
            <if test="deptCode != null  and deptCode != ''"> and dept_code = #{deptCode}</if>
            <if test="deptName != null  and deptName != ''"> and dept_name like concat('%', #{deptName}, '%')</if>
            <if test="adminDeptCode != null  and adminDeptCode != ''"> and admin_dept_code = #{adminDeptCode}</if>
            <if test="adminDeptName != null  and adminDeptName != ''"> and admin_dept_name like concat('%', #{adminDeptName}, '%')</if>
            <if test="wardCode != null  and wardCode != ''"> and ward_code = #{wardCode}</if>
            <if test="wardName != null  and wardName != ''"> and ward_name like concat('%', #{wardName}, '%')</if>
            <if test="employeeTypeCode != null "> and employee_type_code = #{employeeTypeCode}</if>
            <if test="techPositionCode != null "> and tech_position_code = #{techPositionCode}</if>
            <if test="techPositionName != null  and techPositionName != ''"> and tech_position_name like concat('%', #{techPositionName}, '%')</if>
            <if test="telephone != null  and telephone != ''"> and telephone = #{telephone}</if>
            <if test="supDoctorCode != null  and supDoctorCode != ''"> and sup_doctor_code = #{supDoctorCode}</if>
            <if test="supDoctorName != null  and supDoctorName != ''"> and sup_doctor_name like concat('%', #{supDoctorName}, '%')</if>
            <if test="medDocCode != null  and medDocCode != ''"> and med_doc_code = #{medDocCode}</if>
            <if test="dirDocSign != null  and dirDocSign != ''"> and dir_doc_sign = #{dirDocSign}</if>
            <if test="presRightSign != null  and presRightSign != ''"> and pres_right_sign = #{presRightSign}</if>
            <if test="anesPresRightSign != null  and anesPresRightSign != ''"> and anes_pres_right_sign = #{anesPresRightSign}</if>
            <if test="specRegFee != null  and specRegFee != ''"> and spec_reg_fee = #{specRegFee}</if>
            <if test="limitNumber != null "> and limit_number = #{limitNumber}</if>
            <if test="presChapterNo != null  and presChapterNo != ''"> and pres_chapter_no = #{presChapterNo}</if>
            <if test="memo != null  and memo != ''"> and memo = #{memo}</if>
            <if test="amLimitNo != null "> and am_limit_no = #{amLimitNo}</if>
            <if test="pmLimitNo != null "> and pm_limit_no = #{pmLimitNo}</if>
            <if test="modifiedPresSign != null  and modifiedPresSign != ''"> and modified_pres_sign = #{modifiedPresSign}</if>
            <if test="elecPresRight != null  and elecPresRight != ''"> and elec_pres_right = #{elecPresRight}</if>
            <if test="noonLimitNo != null  and noonLimitNo != ''"> and noon_limit_no = #{noonLimitNo}</if>
            <if test="emergencyRegFee != null  and emergencyRegFee != ''"> and emergency_reg_fee = #{emergencyRegFee}</if>
            <if test="emergencyMedFee != null  and emergencyMedFee != ''"> and emergency_med_fee = #{emergencyMedFee}</if>
            <if test="emergencyTreatFee != null  and emergencyTreatFee != ''"> and emergency_treat_fee = #{emergencyTreatFee}</if>
            <if test="degreeCode != null "> and degree_code = #{degreeCode}</if>
            <if test="photoUrl != null  and photoUrl != ''"> and photo_url = #{photoUrl}</if>
            <if test="signatureGraph != null  and signatureGraph != ''"> and signature_graph = #{signatureGraph}</if>
            <if test="validStartDTime != null  and validStartDTime != ''"> and valid_start_d_time = #{validStartDTime}</if>
            <if test="validEndDTime != null  and validEndDTime != ''"> and valid_end_d_time = #{validEndDTime}</if>
            <if test="activeSign != null  and activeSign != ''"> and active_sign = #{activeSign}</if>
            <if test="verNo != null  and verNo != ''"> and ver_no = #{verNo}</if>
            <if test="employeePassword != null  and employeePassword != ''"> and employee_password = #{employeePassword}</if>
            <if test="bmjb != null  and bmjb != ''"> and bmjb = #{bmjb}</if>
            <if test="gwdm != null  and gwdm != ''"> and gwdm = #{gwdm}</if>
            <if test="gwmc != null  and gwmc != ''"> and gwmc = #{gwmc}</if>
            <if test="ghf != null  and ghf != ''"> and ghf = #{ghf}</if>
            <if test="zlf != null  and zlf != ''"> and zlf = #{zlf}</if>
            <if test="wzzxbz != null  and wzzxbz != ''"> and wzzxbz = #{wzzxbz}</if>
            <if test="ysjb != null  and ysjb != ''"> and ysjb = #{ysjb}</if>
            <if test="ismsg != null  and ismsg != ''"> and ismsg = #{ismsg}</if>
            <if test="sszcId != null  and sszcId != ''"> and sszc_id = #{sszcId}</if>
            <if test="sszcMc != null  and sszcMc != ''"> and sszc_mc = #{sszcMc}</if>
            <if test="czry != null  and czry != ''"> and czry = #{czry}</if>
            <if test="zxysdm != null  and zxysdm != ''"> and zxysdm = #{zxysdm}</if>
            <if test="mzTfbz != null  and mzTfbz != ''"> and mz_tfbz = #{mzTfbz}</if>
            <if test="ssfl != null  and ssfl != ''"> and ssfl = #{ssfl}</if>
            <if test="zxksdm != null  and zxksdm != ''"> and zxksdm = #{zxksdm}</if>
            <if test="ipaddress != null  and ipaddress != ''"> and ipaddress = #{ipaddress}</if>
            <if test="sfyy != null  and sfyy != ''"> and sfyy = #{sfyy}</if>
            <if test="yxj != null  and yxj != ''"> and yxj = #{yxj}</if>
            <if test="iszkhs != null  and iszkhs != ''"> and iszkhs = #{iszkhs}</if>
            <if test="zzghbz != null  and zzghbz != ''"> and zzghbz = #{zzghbz}</if>
            <if test="sfxh != null  and sfxh != ''"> and sfxh = #{sfxh}</if>
            <if test="txbz != null  and txbz != ''"> and txbz = #{txbz}</if>
            <if test="ksscfq != null  and ksscfq != ''"> and ksscfq = #{ksscfq}</if>
            <if test="zyzz != null  and zyzz != ''"> and zyzz = #{zyzz}</if>
            <if test="sjdpbbz != null  and sjdpbbz != ''"> and sjdpbbz = #{sjdpbbz}</if>
            <if test="mxpbbz != null  and mxpbbz != ''"> and mxpbbz = #{mxpbbz}</if>
            <if test="fzhxqz != null  and fzhxqz != ''"> and fzhxqz = #{fzhxqz}</if>
            <if test="lsgbz != null  and lsgbz != ''"> and lsgbz = #{lsgbz}</if>
            <if test="kzlywcfq != null  and kzlywcfq != ''"> and kzlywcfq = #{kzlywcfq}</if>
            <if test="cwyyywcfq != null  and cwyyywcfq != ''"> and cwyyywcfq = #{cwyyywcfq}</if>
            <if test="sqxtypbz != null  and sqxtypbz != ''"> and sqxtypbz = #{sqxtypbz}</if>
            <if test="zkxtypbz != null  and zkxtypbz != ''"> and zkxtypbz = #{zkxtypbz}</if>
            <if test="ssyzqx != null  and ssyzqx != ''"> and ssyzqx = #{ssyzqx}</if>
            <if test="zgkh != null  and zgkh != ''"> and zgkh = #{zgkh}</if>
            <if test="isdbrqx != null  and isdbrqx != ''"> and isdbrqx = #{isdbrqx}</if>
            <if test="jsry1 != null  and jsry1 != ''"> and jsry1 = #{jsry1}</if>
            <if test="zgjj != null  and zgjj != ''"> and zgjj = #{zgjj}</if>
            <if test="jylcfq != null  and jylcfq != ''"> and jylcfq = #{jylcfq}</if>
            <if test="jelcfq != null  and jelcfq != ''"> and jelcfq = #{jelcfq}</if>
            <if test="jdlcfq != null  and jdlcfq != ''"> and jdlcfq = #{jdlcfq}</if>
            <if test="bmcfzxysdm != null  and bmcfzxysdm != ''"> and bmcfzxysdm = #{bmcfzxysdm}</if>
            <if test="jsypcfq != null  and jsypcfq != ''"> and jsypcfq = #{jsypcfq}</if>
            <if test="xcfsyq != null  and xcfsyq != ''"> and xcfsyq = #{xcfsyq}</if>
            <if test="fzyyspq != null  and fzyyspq != ''"> and fzyyspq = #{fzyyspq}</if>
            <if test="szyzq != null  and szyzq != ''"> and szyzq = #{szyzq}</if>
            <if test="qkysq != null  and qkysq != ''"> and qkysq = #{qkysq}</if>
            <if test="xgbjxhtyxq != null  and xgbjxhtyxq != ''"> and xgbjxhtyxq = #{xgbjxhtyxq}</if>
            <if test="yzfsq != null  and yzfsq != ''"> and yzfsq = #{yzfsq}</if>
            <if test="yzfscxq != null  and yzfscxq != ''"> and yzfscxq = #{yzfscxq}</if>
            <if test="blbjq != null  and blbjq != ''"> and blbjq = #{blbjq}</if>
            <if test="hzq != null  and hzq != ''"> and hzq = #{hzq}</if>
            <if test="gbys != null  and gbys != ''"> and gbys = #{gbys}</if>
            <if test="zycfq != null  and zycfq != ''"> and zycfq = #{zycfq}</if>
            <if test="mzcfq != null  and mzcfq != ''"> and mzcfq = #{mzcfq}</if>
            <if test="fsypcfq != null  and fsypcfq != ''"> and fsypcfq = #{fsypcfq}</if>
            <if test="jhsyypcfq != null  and jhsyypcfq != ''"> and jhsyypcfq = #{jhsyypcfq}</if>
            <if test="ckfsgbqx != null  and ckfsgbqx != ''"> and ckfsgbqx = #{ckfsgbqx}</if>
            <if test="pxyxj != null  and pxyxj != ''"> and pxyxj = #{pxyxj}</if>
            <if test="gbysbz != null  and gbysbz != ''"> and gbysbz = #{gbysbz}</if>
            <if test="mfhs != null  and mfhs != ''"> and mfhs = #{mfhs}</if>
            <if test="xlMc != null  and xlMc != ''"> and xl_mc = #{xlMc}</if>
            <if test="xwId != null  and xwId != ''"> and xw_id = #{xwId}</if>
            <if test="xwMc != null  and xwMc != ''"> and xw_mc = #{xwMc}</if>
            <if test="sfzzyy != null  and sfzzyy != ''"> and sfzzyy = #{sfzzyy}</if>
            <if test="wjztxbz != null  and wjztxbz != ''"> and wjztxbz = #{wjztxbz}</if>
            <if test="ybysbz != null  and ybysbz != ''"> and ybysbz = #{ybysbz}</if>
            <if test="gjycfq != null  and gjycfq != ''"> and gjycfq = #{gjycfq}</if>
            <if test="isscpt != null  and isscpt != ''"> and isscpt = #{isscpt}</if>
            <if test="dbcfq != null  and dbcfq != ''"> and dbcfq = #{dbcfq}</if>
            <if test="rzrq != null  and rzrq != ''"> and rzrq = #{rzrq}</if>
            <if test="lzrq != null  and lzrq != ''"> and lzrq = #{lzrq}</if>
            <if test="kxgypzd != null  and kxgypzd != ''"> and kxgypzd = #{kxgypzd}</if>
            <if test="bkxgypzd != null "> and bkxgypzd = #{bkxgypzd}</if>
            <if test="yszgzbm != null  and yszgzbm != ''"> and yszgzbm = #{yszgzbm}</if>
            <if test="yszyzbm != null  and yszyzbm != ''"> and yszyzbm = #{yszyzbm}</if>
            <if test="zwId != null  and zwId != ''"> and zw_id = #{zwId}</if>
            <if test="zwMc != null  and zwMc != ''"> and zw_mc = #{zwMc}</if>
            <if test="mdmphoto != null  and mdmphoto != ''"> and mdmphoto = #{mdmphoto}</if>
            <if test="dlhsbz != null  and dlhsbz != ''"> and dlhsbz = #{dlhsbz}</if>
            <if test="yszcbh != null  and yszcbh != ''"> and yszcbh = #{yszcbh}</if>
            <if test="yszyfw != null  and yszyfw != ''"> and yszyfw = #{yszyfw}</if>
            <if test="hszybh != null  and hszybh != ''"> and hszybh = #{hszybh}</if>
            <if test="zgsc != null  and zgsc != ''"> and zgsc = #{zgsc}</if>
            <if test="zglx != null  and zglx != ''"> and zglx = #{zglx}</if>
            <if test="cfqz != null  and cfqz != ''"> and cfqz = #{cfqz}</if>
            <if test="mzlycfqz != null  and mzlycfqz != ''"> and mzlycfqz = #{mzlycfqz}</if>
            <if test="xycflrqz != null  and xycflrqz != ''"> and xycflrqz = #{xycflrqz}</if>
            <if test="zycflrqz != null  and zycflrqz != ''"> and zycflrqz = #{zycflrqz}</if>
            <if test="cycflrqz != null  and cycflrqz != ''"> and cycflrqz = #{cycflrqz}</if>
            <if test="jslycfqz != null  and jslycfqz != ''"> and jslycfqz = #{jslycfqz}</if>
            <if test="jdlycfqz != null  and jdlycfqz != ''"> and jdlycfqz = #{jdlycfqz}</if>
            <if test="fzyyspqz != null  and fzyyspqz != ''"> and fzyyspqz = #{fzyyspqz}</if>
            <if test="xcfsyqxz != null  and xcfsyqxz != ''"> and xcfsyqxz = #{xcfsyqxz}</if>
            <if test="szyzqxz != null  and szyzqxz != ''"> and szyzqxz = #{szyzqxz}</if>
            <if test="qkysqxz != null  and qkysqxz != ''"> and qkysqxz = #{qkysqxz}</if>
            <if test="xgbjxhtyxqxz != null  and xgbjxhtyxqxz != ''"> and xgbjxhtyxqxz = #{xgbjxhtyxqxz}</if>
            <if test="yssfyyzfsqxz != null  and yssfyyzfsqxz != ''"> and yssfyyzfsqxz = #{yssfyyzfsqxz}</if>
            <if test="xghqxzdbrsbqz != null  and xghqxzdbrsbqz != ''"> and xghqxzdbrsbqz = #{xghqxzdbrsbqz}</if>
            <if test="fyxxdydcqz != null  and fyxxdydcqz != ''"> and fyxxdydcqz = #{fyxxdydcqz}</if>
            <if test="dbybcfqz != null  and dbybcfqz != ''"> and dbybcfqz = #{dbybcfqz}</if>
            <if test="jylyfqz != null  and jylyfqz != ''"> and jylyfqz = #{jylyfqz}</if>
            <if test="gjycfqz != null  and gjycfqz != ''"> and gjycfqz = #{gjycfqz}</if>
            <if test="zzrsyycfqz != null  and zzrsyycfqz != ''"> and zzrsyycfqz = #{zzrsyycfqz}</if>
            <if test="cplyycfqz != null  and cplyycfqz != ''"> and cplyycfqz = #{cplyycfqz}</if>
            <if test="tpsjsyycfqz != null  and tpsjsyycfqz != ''"> and tpsjsyycfqz = #{tpsjsyycfqz}</if>
            <if test="xyzjyycfqz != null  and xyzjyycfqz != ''"> and xyzjyycfqz = #{xyzjyycfqz}</if>
            <if test="yyjsyycfqz != null  and yyjsyycfqz != ''"> and yyjsyycfqz = #{yyjsyycfqz}</if>
            <if test="myzqyycfqz != null  and myzqyycfqz != ''"> and myzqyycfqz = #{myzqyycfqz}</if>
            <if test="kzlywcfqz != null  and kzlywcfqz != ''"> and kzlywcfqz = #{kzlywcfqz}</if>
            <if test="ylqtcfqz != null  and ylqtcfqz != ''"> and ylqtcfqz = #{ylqtcfqz}</if>
            <if test="yzfscxqz != null  and yzfscxqz != ''"> and yzfscxqz = #{yzfscxqz}</if>
            <if test="blbjqz != null  and blbjqz != ''"> and blbjqz = #{blbjqz}</if>
            <if test="hzqz != null  and hzqz != ''"> and hzqz = #{hzqz}</if>
            <if test="blzhcxdydcqz != null  and blzhcxdydcqz != ''"> and blzhcxdydcqz = #{blzhcxdydcqz}</if>
            <if test="emrblcxqz != null  and emrblcxqz != ''"> and emrblcxqz = #{emrblcxqz}</if>
            <if test="bltjqz != null  and bltjqz != ''"> and bltjqz = #{bltjqz}</if>
            <if test="csqz != null  and csqz != ''"> and csqz = #{csqz}</if>
            <if test="ksscfqz != null  and ksscfqz != ''"> and ksscfqz = #{ksscfqz}</if>
            <if test="dbrqxz != null  and dbrqxz != ''"> and dbrqxz = #{dbrqxz}</if>
            <if test="cwyyycfqz != null  and cwyyycfqz != ''"> and cwyyycfqz = #{cwyyycfqz}</if>
            <if test="jelycfqz != null  and jelycfqz != ''"> and jelycfqz = #{jelycfqz}</if>
            <if test="mzcfqz != null  and mzcfqz != ''"> and mzcfqz = #{mzcfqz}</if>
            <if test="zycfqz != null  and zycfqz != ''"> and zycfqz = #{zycfqz}</if>
            <if test="fsypcfqz != null  and fsypcfqz != ''"> and fsypcfqz = #{fsypcfqz}</if>
            <if test="ckfsgbqz != null  and ckfsgbqz != ''"> and ckfsgbqz = #{ckfsgbqz}</if>
            <if test="sfnkssyzz != null  and sfnkssyzz != ''"> and sfnkssyzz = #{sfnkssyzz}</if>
            <if test="jhsyypcfqz != null  and jhsyypcfqz != ''"> and jhsyypcfqz = #{jhsyypcfqz}</if>
            <if test="zlxmcfqz != null  and zlxmcfqz != ''"> and zlxmcfqz = #{zlxmcfqz}</if>
            <if test="tbcfq != null  and tbcfq != ''"> and tbcfq = #{tbcfq}</if>
            <if test="yjkscxq != null  and yjkscxq != ''"> and yjkscxq = #{yjkscxq}</if>
            <if test="ejkscxq != null  and ejkscxq != ''"> and ejkscxq = #{ejkscxq}</if>
            <if test="ywsyq != null  and ywsyq != ''"> and ywsyq = #{ywsyq}</if>
            <if test="ybcfq != null  and ybcfq != ''"> and ybcfq = #{ybcfq}</if>
            <if test="yydxyqcfq != null  and yydxyqcfq != ''"> and yydxyqcfq = #{yydxyqcfq}</if>
            <if test="ylqtlcfq != null  and ylqtlcfq != ''"> and ylqtlcfq = #{ylqtlcfq}</if>
            <if test="hzyqq != null  and hzyqq != ''"> and hzyqq = #{hzyqq}</if>
            <if test="hzchq != null  and hzchq != ''"> and hzchq = #{hzchq}</if>
            <if test="sqyxqx != null  and sqyxqx != ''"> and sqyxqx = #{sqyxqx}</if>
            <if test="ksxdfwhqx != null  and ksxdfwhqx != ''"> and ksxdfwhqx = #{ksxdfwhqx}</if>
            <if test="qyxdfwhqx != null  and qyxdfwhqx != ''"> and qyxdfwhqx = #{qyxdfwhqx}</if>
            <if test="qygmxxzfqx != null  and qygmxxzfqx != ''"> and qygmxxzfqx = #{qygmxxzfqx}</if>
            <if test="bkysdmjsjdxgqx != null  and bkysdmjsjdxgqx != ''"> and bkysdmjsjdxgqx = #{bkysdmjsjdxgqx}</if>
            <if test="qyysdmjsjdxgqx != null  and qyysdmjsjdxgqx != ''"> and qyysdmjsjdxgqx = #{qyysdmjsjdxgqx}</if>
            <if test="bmfglqx != null  and bmfglqx != ''"> and bmfglqx = #{bmfglqx}</if>
            <if test="kszpglwhqx != null  and kszpglwhqx != ''"> and kszpglwhqx = #{kszpglwhqx}</if>
            <if test="qyzpglwhqx != null  and qyzpglwhqx != ''"> and qyzpglwhqx = #{qyzpglwhqx}</if>
            <if test="qydzblmbbjq != null  and qydzblmbbjq != ''"> and qydzblmbbjq = #{qydzblmbbjq}</if>
            <if test="dzysbz != null  and dzysbz != ''"> and dzysbz = #{dzysbz}</if>
            <if test="kzrshqx != null  and kzrshqx != ''"> and kzrshqx = #{kzrshqx}</if>
            <if test="kfcfq != null  and kfcfq != ''"> and kfcfq = #{kfcfq}</if>
        </where>
    </select>

</mapper>